# Function IsTableRowActionTypeMethod

- IsTableRowActionTypeMethod<Data>(type): ((method) => method is TableRowActionTypeMethod<Data>)

- #### Type Parameters

  - Data extends Record<string, any>

  #### Parameters

  - type: string

  #### Returns ((method) => method is TableRowActionTypeMethod<Data>)

  - - (method): method is TableRowActionTypeMethod<Data>

    - #### Parameters

      - method: TableRowActionMethod<Data>

      #### Returns method is TableRowActionTypeMethod<Data>

  - Defined in packages/angular/material/table-system/src/lib/table-row-actions/table-row-action.method.ts:25